@charset "utf-8";

:root {
  --vh: 1vh;
}

h3 {
  margin: 0 auto 1.2em;
  text-align: center;
  font-size: clamp(1.2rem, 0.857rem + 1.71vw, 1.5rem);
  font-weight: bold;
}

h4 {
  font-size: clamp(1vw, 3.6vw, 1.2em);
  font-weight: bold;
  margin-bottom: 0.4em;
}

h4:not(:first-of-type) {
  margin-top: 1.2em;
}

h4 span {
  font-size: clamp(0.64vw, 2.304vw, 0.768em);
  font-weight: normal;
}

.modal {
  display: none;
}

.modal.is-open {
  display: block;
}

.modal__overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: #00419b;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.modal__container {
  background: transparent;
  position: relative;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.modal__container::-webkit-scrollbar {
  display: none;
}

.about .modal__overlay {
  background-color: unset;
  justify-content: start;
}

.about .modal__container {
  position: relative;
  width: 100%;
  height: calc(var(--vh) * 100);
  margin: 0 auto;
  padding: 0;
  display: flex;
  overflow-y: auto;
  justify-content: center;
  align-items: start;
}

.about-content-wrap {
  position: relative;
  width: 100%;
  height: 0;
  padding-top: calc(1660 / 828 * 100%);
  background-image: url("../images/bluelocktoha_bg.jpg");
  background-repeat: no-repeat;
  background-position: left top;
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: start;
  z-index: 0;
}

.about-content {
  width: 96.5%;
  position: absolute;
  top: 10%;
  left: 0;
  right: 0;
  margin: 0 auto;
}

.about-content li:nth-child(1) {
  width: 77%;
  margin: 0 auto 10%;
}

.about-content li:nth-child(2) {
  width: 100%;
  margin: 0 auto 14%;
}

.about-content li:nth-child(3) {
  width: 85.6%;
  margin: 0 auto;
}

.about-content-wrap::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 0;
  padding-top: calc(85 / 828 * 100%);
  background: url("../images/about-top_bar.png") left top no-repeat;
  background-size: 100% auto;
  z-index: -1;
}

.about-content-wrap::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 0;
  padding-top: calc(86 / 828 * 100%);
  background: url("../images/about-bottom_bar.png") left bottom no-repeat;
  background-size: 100% auto;
  z-index: -1;
}

.movies .modal__overlay {
  background: rgba(0, 65, 155, 0.5);
  backdrop-filter: blur(4px);
  -webkit-backdrop-filter: blur(4px);
}

.movies .modal__container {
  width: 90%;
  height: auto;
}

.youtube {
  position: relative;
  padding-top: 56.25%;
  height: 0;
  max-width: 100%;
}

.youtube iframe,
.youtube object,
.youtube embed {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.guidelines .modal__container {
  width: 100%;
  height: 100vh;
  height: 100dvh;
  padding: 0;
  overflow-y: auto;
  position: relative;
}

.guideline {
  position: relative;
  height: auto;
  padding: 14% 2em 2em 1em;
  color: white;
  background: #00419b;
  overflow-y: visible;
  text-align: left;
  font-size: clamp(0.7rem, 0.357rem + 1.71vw, 1rem);
  line-height: 1.2;
}

.guideline p {
  text-indent: -1em;
  padding-left: 1em;
  margin-bottom: 0.6em;
}

.guideline p a {
  color: #35ff79;
}

.guideline p.notJisage {
  text-indent: 0em;
  padding-left: 1em;
  margin-bottom: 0.6em;
}

.modal__close {
  background: transparent;
}

.modal__btn {
  position: fixed;
  top: 20px;
  right: 20px;
  width: 12%;
  height: 0;
  background: url("../images/batsu.png") left top no-repeat;
  padding-top: calc(27 / 93 * 12%);
  background-size: cover;
}

.about .modal__btn {
  top: 0;
  right: 0;
  width: 18%;
  background: url("../images/batsumenublue.png") left top no-repeat;
  padding-top: calc(74 / 147 * 18%);
  background-size: cover;
}

.movies .modal__btn {
  position: absolute;
  top: clamp(-40px, -5.714vw - 5.714px, -24px);
  right: 0;
}

@keyframes mmfadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes mmfadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

@keyframes mmslideIn {
  from {
    transform: translateY(15%);
  }
  to {
    transform: translateY(0);
  }
}

@keyframes mmslideOut {
  from {
    transform: translateY(0);
  }
  to {
    transform: translateY(-10%);
  }
}

.micromodal-slide {
  display: none;
}

.micromodal-slide.is-open {
  display: block;
}

.micromodal-slide[aria-hidden="false"] .modal__overlay {
  animation: mmfadeIn 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.micromodal-slide[aria-hidden="false"] .modal__container {
  animation: mmslideIn 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal__overlay {
  animation: mmfadeOut 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal__container {
  animation: mmslideOut 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.micromodal-slide .modal__container,
.micromodal-slide .modal__overlay {
  will-change: transform;
}

@media screen and (min-width: 601px) {
  .modal__btn {
    width: clamp(3.75rem, 2.09rem + 4.42vw, 5.625rem);
    height: 0;
    background: url("../images/batsu.png") left top no-repeat;
    padding-top: calc(27 / 93 * clamp(3.75rem, 2.09rem + 4.42vw, 5.625rem));
    background-size: cover;
  }

  .about .modal__overlay {
    background: rgba(0, 65, 155, 0.5);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
  }

  .about .modal__container {
    width: 50%;
    max-width: 640px;
  }

  .movies .modal__container {
    width: 80%;
    max-width: 800px;
    height: auto;
  }

  .guidelines .modal__container {
    width: 80%;
    max-width: 800px;
    height: 100vh;
    height: 100dvh;
    padding: 0 0 10vh;
  }
}
